/***************************************************************************
 *
 $ pdus
 *
 ***************************************************************************/

#define MMp_cm_ser_req		0
#define MMp_cm_ser_acc		1
#define MMp_cm_ser_rej		2
#define MMp_loc_upd_acc		3
#define MMp_loc_upd_rej		4
#define MMp_loc_upd_req		5
#define MMp_paging_res		6
#define MMp_PDU_NOK		7
#define MMp_L3_message		8


/***************************************************************************
 *
 $ states
 *
 ***************************************************************************/

#define idle			0
#define wait_rr_mm_conn		1
#define	wait_rr_loc_update	2
#define	wait_out_mm_conn	3
#define wait_network_cmd	4
#define loc_update_init		5
#define loc_update_rej		6
#define active			7


/***************************************************************************
 *
 $ variable structure
 *
 ***************************************************************************
 */

#define MS_IMSILEN 15

typedef struct {
	sint32	   some_variable;
	sint32	   loc_area;
	FRAME_PTR  rec_frame,
	           snd_frame;
	VTASK      *self;
	char 	   imsi[MS_IMSILEN];
} VARIABLE_STR;


/***************************************************************************
 *
 $ timers
 *
 ***************************************************************************/



/***************************************************************************
 *
 $ timer tick counts in seconds
 *
 ***************************************************************************


$ end
*/


/*
$ asn
*/

#define asn_cm_service_type 0
#define asn_mobile_identity 1
#define asn_mMs_Est_Cnf_prim 2
#define asn_protocol_discriminator 3
#define asn_transaction_identifier 4
#define asn_userData 5
#define asn_mMs_Rel_Req_prim 6
#define asn_mMs_Rel_Ind_prim 7
#define asn_mMs_Ass_Ind_prim 8
#define asn_mm_cause 9
#define asn_area_code 10
#define asn_updating_type 11
#define asn_rRs_Est_Ind_prim 12
#define asn_rRs_Est_Cnf_prim 13
#define asn_rRs_Rel_Ind_prim 14
#define asn_rRs_Ass_Ind_prim 15
#define asn_location_area_identity 16
#define ASN_VAR_COUNT 17

/*
$ end asn
*/

